Subject: Re: Perl: Operation "bool": no method found
From: Reini Urban <[email-masked]>
To: [email-masked]
Cc: Ken Brown <[email-masked]>
Date: Fri, 11 Mar 2011 20:02:10 +0100
List-Id: <cygwin.cygwin.com>

2011/3/9 Ken Brown:
> On 3/8/2011 8:42 PM, Rafael Kitover wrote:
>> On 3/8/2011 2:14 PM, Ken Brown wrote:
>>>
>>> I'm trying to build biber (http://biblatex-biber.sourceforge.net/) for
>>> Cygwin.  It is written in Perl.  The documentation says to start by
>>> running `perl Build.PL' in order to make sure that I have all the
>>> required modules.  This fails as follows:
>>>
>>> $ perl Build.PL
>>> Operation "bool": no method found, argument in overloaded package
>>> version at /usr/lib/perl5/5.10/Module/Build/Base.pm line 1568.
>>>
>>> Line 1568 of Base.pm is
>>>
>>>   return $^V ? $self->perl_version_to_float(sprintf "%vd", $^V) : $];
>>>
>>> I know practically nothing about Perl, but I was hoping I could still
>>> build biber by following instructions.  I would appreciate any hints as
>>> to how to track down the problem.  I'm attaching Build.PL as well as
>>> cygcheck output.
>>>
>>> Ken
>>
>> I had similar bizarre error messages related to $^V, specifically the
>> construct sprintf "%vd", $^V, in my case related to CPAN::Reporter for
>> doing test reports from cpan shell.
>>
>> This is something related to the $^V being a version.pm object, as it is
>> in new perls, but the version class not being available for some reason,
>> hence perl trying to call nonexistant overloaded methods.
>>
>> Reini, what do you think?
>
> Problem solved: I asked for help on the biblatex-biber forum and was told
> that Cygwin's Module::Build module is outdated and needs to be updated via
>
>  perl -MCPAN -e "install Module::Build"
>
> This worked.

Oh my, Module::Build is my special friend and should die a painful death IMHO.
Looks like I need to roll another small update this weekend.
-- 
Reini Urban

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple